commit:     d0dbe5bdd96740a978c86c3874430854744f4fa3
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 24 13:07:46 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Apr 24 13:07:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0dbe5bd

sci-libs/cxsparse: Remove IUSE="static-libs"

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/cxsparse/cxsparse-3.2.0.ebuild | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/sci-libs/cxsparse/cxsparse-3.2.0.ebuild 
b/sci-libs/cxsparse/cxsparse-3.2.0.ebuild
index c5df715062a..fa44cb7a77c 100644
--- a/sci-libs/cxsparse/cxsparse-3.2.0.ebuild
+++ b/sci-libs/cxsparse/cxsparse-3.2.0.ebuild
@@ -12,21 +12,20 @@ SRC_URI="http://202.36.178.9/sage/${P}.tar.bz2";
 LICENSE="LGPL-2.1+"
 SLOT="0"
 KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="static-libs"
 
+RDEPEND=">=sci-libs/suitesparseconfig-5.4.0[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
-DEPEND=">=sci-libs/suitesparseconfig-5.4.0[${MULTILIB_USEDEP}]"
-RDEPEND="${DEPEND}"
 
-PATCHES=( "${FILESDIR}/${PN}-3.2.0-header.patch" )
+PATCHES=( "${FILESDIR}"/${PN}-3.2.0-header.patch )
 
 multilib_src_configure() {
-       ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+       ECONF_SOURCE="${S}" econf --disable-static
 }
 
 multilib_src_install_all() {
        einstalldocs
 
-       # package provides .pc files
-       find "${D}" -name '*.la' -delete || die
+       # no static archives
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to